"use strict";

/**
 * Converts a query string to an object of key value pairs.
 * @param {string} data
 * @return {object}
 */

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.parser = parser;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function parser(data) {
  return data.substring(1).split("&").map(function (param) {
    return param.split("=");
  }).reduce(function (acc, curr) {
    return _extends({}, acc, _defineProperty({}, curr[0], curr[1]));
  }, {});
}
