"use strict";

/**
 * Converts a query string to an object of key value pairs.
 * @param {string} data
 * @return {object}
 */
export function parser(data) {
  return data
    .substring(1)
    .split("&")
    .map(param => param.split("="))
    .reduce((acc, curr) => {
      return {
        ...acc,
        [curr[0]]: curr[1],
      };
    }, {});
}
